Name:           openib-mstflint
Summary:        Mellanox firmware burning tool
Version: 	1.3
Release: 	1%{?dist}
License:        BSD 3-Clause, GPL v2 or later
Group:          Applications/System
Source: http://www.openfabrics.org/downloads/mstflint-%{version}.tar.gz
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libstdc++-devel, zlib-devel
ExclusiveArch: i386 x86_64 ia64 ppc ppc64

%description
This package contains a burning tool for Mellanox manufactured HCA cards.
It also provides access to the relevant source code.

%prep
%setup -q -n mstflint-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
install -D -m 0755 mstmread $RPM_BUILD_ROOT%{_bindir}/mstmread
install -D -m 0755 mstmwrite $RPM_BUILD_ROOT%{_bindir}/mstmwrite
install -D -m 0755 mstflint $RPM_BUILD_ROOT%{_bindir}/mstflint
install -D -m 0755 mstregdump $RPM_BUILD_ROOT%{_bindir}/mstregdump
install -D -m 0755 mstvpd $RPM_BUILD_ROOT%{_bindir}/mstvpd
install -D -m 0644 mtcr.h       $RPM_BUILD_ROOT%{_includedir}/mtcr.h

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README
%_bindir/*
%_includedir/*

%changelog
* Fri Jul 25 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Jun 06 2008 Doug Ledford <dledford@redhat.com> - 1.3-1
- Remove the obsolete of the mstflint package to resolve a circular obsolete
  issue
- Related: bz451638

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.2-1
- Initial import into CVS

* Thu Jul 19 2007 - Vladimir Sokolovsky vlad@mellanox.co.il
- Initial Package, Version 1.2
